This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 722204 - (calligra) Review Request: calligra - An integrated office suite
Review Request: calligra - An integrated office suite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews calligra-l10n
  Show dependency treegraph
 
Reported: 2011-07-14 11:44 EDT by Rex Dieter
Modified: 2012-03-08 04:37 EST (History)
5 users (show)

See Also:
Fixed In Version: calligra-2.3.87-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-07-14 11:44:38 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/calligra/calligra.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/calligra/calligra-2.3.73-1.fc15.src.rpm
Description: An integrated office suite.


A fork/successor to koffice (why it includes all the Obsoletes tags)
Comment 1 Rex Dieter 2011-08-16 08:56:46 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/calligra/calligra.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/calligra/calligra-2.3.74-1.fc15.src.rpm

%changelog
* Mon Aug 15 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.74-1
- 2.3.74
- kformula dropped (upstream)
Comment 2 Jaroslav Reznik 2011-09-08 10:57:32 EDT
Rex,
sorry for delay, here we go.

Name: ok
Summary: ok
License: there are also LGPLv2+ bits, according the policy we want to list all licenses explicitely, it should be there 
URL: ok
Source: ok (md5sum c29b4712b1992ce2ea7834b7cfe1fff8)
BRs/Reqs: ok
Obsoletes: ok
Description: ok (for subpackages too)
Build section: ok
Desktop file validation: ok
Icon cache: ok
Ldconfig for -libs subpackages: ok
Macros used consistently: ok
Docs: ok
Builds: ok, available in unofficial repos already

rpmlint calligra-2.3.74-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Calligra package is a direct successor of koffice package and is well maintained, thus in a good shape. 

Please, fix license field, I'll approve it then.
Comment 3 Kevin Kofler 2011-11-12 23:46:22 EST
I think flow should not Obsolete koffice-kivio as long as it can't open its documents. I maintain koffice-kivio (which is from KOffice 1) and I'm willing to keep it running "forever", and since the names are different, there should be no conflicts. Unfortunately, at this time, the only way to open existing Kivio flowcharts is with Kivio, and I see no progress whatsoever on an import filter in upstream Flow. :-(
Comment 4 Rex Dieter 2012-01-10 12:58:49 EST
http://rdieter.fedorapeople.org/rpms/calligra/calligra.spec
http://rdieter.fedorapeople.org/rpms/calligra/calligra-2.3.86-1.fc16.src.rpm

%changelog
* Tue Jan 10 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-1
- 2.3.86
- License: LGPLv2+
- drop Obsoletes: koffice-kivio
Comment 5 Rex Dieter 2012-01-10 13:01:37 EST
make that, License: GPLv2+ and LGPLv2+ (I added LGPLv2+ as mentioned)
Comment 6 Rex Dieter 2012-01-12 14:20:19 EST
http://rdieter.fedorapeople.org/rpms/calligra/calligra.spec
http://rdieter.fedorapeople.org/rpms/calligra/calligra-2.3.86-3.fc16.src.rpm

%changelog
* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-3
- %%build: -DBUILD_cstester:BOOL=OFF
- drop -filters

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-2
- rename kexi-driver-pgsql -> kexi-driver-postgresql
- kexi-driver-sybase subpkg
- kexi-map-form-widget, map-shape, reports-map-elemement subpkgs (with marble deps)
Comment 8 Jaroslav Reznik 2012-02-15 07:13:06 EST
Thanks Rex,
APPROVED.
Comment 9 Rex Dieter 2012-02-15 08:30:22 EST
New Package SCM Request
=======================
Package Name: calligra
Short Description: An integrated office suite
Owners: rdieter ltinkl
Branches: f17
InitialCC: ltvrdy
Comment 10 Jon Ciesla 2012-02-15 08:53:48 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-02-19 05:42:26 EST
calligra-2.3.87-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/calligra-2.3.87-4.fc17
Comment 12 Fedora Update System 2012-02-29 13:52:57 EST
calligra-2.3.87-4.fc17, calligra-l10n-2.3.87-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-03-06 15:47:58 EST
calligra-2.3.87-4.fc17, calligra-l10n-2.3.87-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Pavel Alexeev 2012-03-07 09:12:28 EST
May be you can add it to Fedora 16 too?
Comment 15 Rex Dieter 2012-03-07 09:59:44 EST
unlikely, it's a big change, not something we usually consider mid-release.
Comment 16 Rex Dieter 2012-03-07 10:00:22 EST
that said, we have unofficial builds available for f16 @ kde-redhat unstable repo, if you really want to try it out.
Comment 17 Pavel Alexeev 2012-03-07 10:11:36 EST
could you please provide url to that repo?
Comment 18 Rex Dieter 2012-03-07 10:18:57 EST
http://lmgtfy.com/?q=kde-redhat&l=1  :)
Comment 19 Pavel Alexeev 2012-03-08 04:37:32 EST
Thanks :)
Unfortunately from that repo it even not started. So I'll look it in F17.

Note You need to log in before you can comment on or make changes to this bug.